# CoordinateSet | data-structure-typed
Documentation for data-structure-typed

# Class CoordinateSet

#### Copyright

2030 Tyler Zeng zrwusa@gmail.com

#### License

MIT

#### Hierarchy

- Set
  - CoordinateSet

- Defined in src/data-structures/hash/coordinate-set.ts:5

#####
Index

### Constructors

constructor

### Properties

[toStringTag]
_joint
size
[species]

### Methods

[iterator]
add
clear
delete
entries
forEach
has
keys
values

## Constructors

### constructor

- new CoordinateSet(joint?): CoordinateSet

- #### Parameters

  - ##### `Optional` joint: string

  #### Returns CoordinateSet

  Overrides Set.constructor

  - Defined in src/data-structures/hash/coordinate-set.ts:8

## Properties

### `Readonly` [toStringTag]

[toStringTag]: string

Inherited from Set.[toStringTag]

- Defined in node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:143

### `Private` `Readonly` _joint

_joint: string = '_'

- Defined in src/data-structures/hash/coordinate-set.ts:6

### `Readonly` size

size: number

#### Returns

the number of (unique) elements in Set.

Inherited from Set.size

- Defined in node_modules/typescript/lib/lib.es2015.collection.d.ts:115

### `Static` `Readonly` [species]

[species]: SetConstructor

Inherited from Set.[species]

- Defined in node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:320

## Methods

### [iterator]

- [iterator](): IterableIterator<any>

- Iterates over values in the set.

  #### Returns IterableIterator<any>

  Inherited from Set.[iterator]

  - Defined in node_modules/typescript/lib/lib.es2015.iterable.d.ts:172

### add

- add(value): CoordinateSet

- The "add" function overrides the parent class's "add" function by joining the elements of the input array with a specified delimiter before calling the parent class's "add" function.

  #### Parameters

  - ##### value: number[]

    An array of numbers

  #### Returns CoordinateSet

  The overridden `add` method is returning the result of calling the `add` method of the superclass (`super.add`) with the joined string representation of the `value` array (`value.join(this._joint)`).

  Overrides Set.add

  - Defined in src/data-structures/hash/coordinate-set.ts:31

### clear

- clear(): void

- #### Returns void

  Inherited from Set.clear

  - Defined in node_modules/typescript/lib/lib.es2015.collection.d.ts:98

### delete

- delete(value): boolean

- The function overrides the delete method and deletes an element from a Set by joining the elements of the input array with a specified joint and then calling the delete method of the parent class.

  #### Parameters

  - ##### value: number[]

    An array of numbers

  #### Returns boolean

  The `delete` method is returning the result of calling the `delete` method of the superclass, with the `value` array joined together using the `_joint` property.

  Overrides Set.delete

  - Defined in src/data-structures/hash/coordinate-set.ts:42

### entries

- entries(): IterableIterator<[any, any]>

- Returns an iterable of [v,v] pairs for every value `v` in the set.

  #### Returns IterableIterator<[any, any]>

  Inherited from Set.entries

  - Defined in node_modules/typescript/lib/lib.es2015.iterable.d.ts:176

### forEach

- forEach(callbackfn, thisArg?): void

- Executes a provided function once per each value in the Set object, in insertion order.

  #### Parameters

  - ##### callbackfn: ((value, value2, set) => void)

    - - (value, value2, set): void

      - #### Parameters

        - ##### value: any

        - ##### value2: any

        - ##### set: Set<any>

        #### Returns void

  - ##### `Optional` thisArg: any

  #### Returns void

  Inherited from Set.forEach

  - Defined in node_modules/typescript/lib/lib.es2015.collection.d.ts:107

### has

- has(value): boolean

- The "has" function overrides the "has" method of the superclass and checks if a value exists in an array after joining its elements with a specified separator.

  #### Parameters

  - ##### value: number[]

    The parameter "value" is an array of numbers.

  #### Returns boolean

  The overridden `has` method is returning the result of calling the `has` method of the superclass, passing in the joined value as an argument.

  Overrides Set.has

  - Defined in src/data-structures/hash/coordinate-set.ts:20

### keys

- keys(): IterableIterator<any>

- Despite its name, returns an iterable of the values in the set.

  #### Returns IterableIterator<any>

  Inherited from Set.keys

  - Defined in node_modules/typescript/lib/lib.es2015.iterable.d.ts:180

### values

- values(): IterableIterator<any>

- Returns an iterable of values in the set.

  #### Returns IterableIterator<any>

  Inherited from Set.values

  - Defined in node_modules/typescript/lib/lib.es2015.iterable.d.ts:185

Generated using TypeDoc